/*jslint laxbreak:true */
/*jslint laxcomma:true */
/*jslint loopfunc:true */
/*jslint strict:true */
/*jslint browser:true */
/*jslint devel:true */
define([
	"underscore"
	, "jquery"
	, "backbone"

	, "text!../../templates/player/layout.html"
	, "text!../../templates/player/player-status.html"
]
, function (
_
, $
, Backbone

, tmplPlayerLayout
, tmplPlayerStatus
) {
	"use strict";

	var Player	= Backbone.View.extend({
		el:				$("body > div.ui-layout-north")
		, elViewport:	null
		, $elViewport:	null

		, playIndex:	[]

		, webAudio:		null

		, initialize:	function (options) {
			var that	= this
			;

			Player.__super__.initialize.apply(that);

			that.$el.html(tmplPlayerLayout);

			that.elViewport		= document.createElement("div");
			that.$elViewport	= $(that.elViewport);

			that.$elViewport.html(_.template(tmplPlayerStatus)({}));

			that.$el.append(that.elViewport);

			return that;
		}

		, setPlayIndex:		function (index) {
			var that	= this
			;

		}

		, __buttonPlayPause:	function (event) {

		}

		, __buttonNext:			function (event) {

		}

		, __buttonPrevious:		function (event) {

		}

		, __buttonVolumeUp:		function (event) {

		}

		, __buttonVolumeDown:	function (event) {

		}

		, __buttonVolumeClick:	function (event) {

		}

		, _createWebAudio:	function () {
			var that	= this
			;

		}

		, __waStateChanged:	function () {
			var that	= this
			;

		}

		, _playerEnded:		function () {
			var that	= this
			;

		}

		, _playerLoading:	function () {
			var that	= this
			;

		}
	});

	return Player;
});